body {
  background-color: #000;
}
@font-face {
  font-family: "bukReg";
  src: url("/fonts/bukReg.woff2") format("woff2");
}
:root {
  --dark-gray: #777676;
}
.cover {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100dvh;
  flex-direction: column;
}
.logo img {
  width: clamp(200px, 30vw, 500px);
}
.text h1 {
  color: var(--dark-gray);
  font-size: clamp(1.6rem, 7vw, 2.8rem);
  font-family: bukReg;
  font-weight: normal;
  margin:1rem 0;
  padding:0 1.5rem;
  text-align: center;
  line-height: 2rem;
}

.text h2 {
  color: var(--dark-gray);
  font-size: clamp(1rem, 5vw, 1.5rem);
  font-family: bukReg;
  font-weight: normal;
  margin:1rem 0;
  padding:0 1.5rem;
  text-align: center;
}

/* Uniwersalna klasa do ciągłego obrotu */
.spin {
  --speed: 1.2s; /* zmień, by przyspieszyć/zwolnić */
  display: inline-block; /* bezpieczniej dla <img>/<span> */
  transform-origin: center; /* obrót względem środka */
  animation: spin var(--speed) linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(1turn);
  } /* to samo co 360deg */
}

/* Dodatki (opcjonalne) */
.spin.slow {
  --speed: 2.5s;
}
.spin.veryslow {
  --speed: 4s;
}

.spin.fast {
  --speed: 0.6s;
}
.spin.pause-on-hover:hover {
  animation-play-state: paused;
}

/* Szacunek dla preferencji „reduced motion” */
@media (prefers-reduced-motion: reduce) {
  .spin {
    animation: none;
  }
}

.main_link a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60vw;
    max-width: 400px;
    height: 50px;
    font-size: 1.4rem;
    border: 1px solid var(--dark-gray);
    border-radius: 5px;
    text-decoration: none;
    color: var(--dark-gray);
    margin-bottom: .5rem;
    font-family: bukReg;
    font-weight: normal;
    padding-top: 3px;
    cursor: pointer;
}
